Note: This endpoint is in preview and is subject to change.
If you have any feedback, contact Datadog support.
GET https://api.ap1.datadoghq.com/api/v2/static-analysis/static-analysis-server/tree-sitter-wasm/{file}https://api.ap2.datadoghq.com/api/v2/static-analysis/static-analysis-server/tree-sitter-wasm/{file}https://api.datadoghq.eu/api/v2/static-analysis/static-analysis-server/tree-sitter-wasm/{file}https://api.ddog-gov.com/api/v2/static-analysis/static-analysis-server/tree-sitter-wasm/{file}https://api.us2.ddog-gov.com/api/v2/static-analysis/static-analysis-server/tree-sitter-wasm/{file}https://api.datadoghq.com/api/v2/static-analysis/static-analysis-server/tree-sitter-wasm/{file}https://api.us3.datadoghq.com/api/v2/static-analysis/static-analysis-server/tree-sitter-wasm/{file}https://api.us5.datadoghq.com/api/v2/static-analysis/static-analysis-server/tree-sitter-wasm/{file}
Overview
Download the WebAssembly binary for a tree-sitter grammar by file name.
OAuth apps require the code_analysis_read authorization scope to access this endpoint.
Arguments
Path Parameters
The name of the WASM file to download.
Response
BLOB with the content of the WASM file
Bad Request
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors": [
{
"detail": "Missing required attribute in body",
"meta": {},
"source": {
"header": "Authorization",
"parameter": "limit",
"pointer": "/data/attributes/title"
},
"status": "400",
"title": "Bad Request"
}
]
}
Unauthorized
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors": [
{
"detail": "Missing required attribute in body",
"meta": {},
"source": {
"header": "Authorization",
"parameter": "limit",
"pointer": "/data/attributes/title"
},
"status": "400",
"title": "Bad Request"
}
]
}
Too many requests
{
"errors": [
"Bad Request"
]
}
Code Example
# Path parameters
export file="tree-sitter-python.wasm"
# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/static-analysis/static-analysis-server/tree-sitter-wasm/${file}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}"